# 4. Requête : obtenir « SatelliteImage » défini

Obtenir l'« SatelliteImage » défini pour le « Champ ».

{% code overflow="wrap" lineNumbers="true" %}

```graphql
requête GetFieldSatelliteImagesViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    nom
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      nom
      satelliteImages (satelliteImageUuids : ["<placeholder_of_satelliteimage_uuid_1>", "<placeholder_of_satelliteimage_uuid_2>"])  {
        satelliteImage {
          uuid
          acquisitionDate
          provider
        }
        terreSansNuages
        geoMaps {
          shortName
          url
          classes
          hexColorCodes
        }
        ndviMoyen
        
        statistiques {
          index
          min
          max
          avg
          mdn
          var
          std
        }
        
        recommandéPourAnalysePluriannuelle 
      }
    }
  }
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
requête GetFieldSatelliteImagesViaGetFields {
  getFields (filter: {fieldUuid: "<placeholder_of_field_uuid>"}) {
    fields {
      uuid
      nom
      satelliteImages (satelliteImageUuids : ["<placeholder_of_satelliteimage_uuid_1>", "<placeholder_of_satelliteimage_uuid_2>"])  {
        satelliteImage {
          uuid
          acquisitionDate
          provider
        } 
        terreSansNuages
        geoMaps {
          shortName
          url
          classes
          hexColorCodes
        }
        ndviMoyen
        
        statistiques {
          index
          min
          max
          avg
          mdn
          var
          std
        } 
        
        recommandéPourAnalysePluriannuelle
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/fr/docs-api/vue-densemble-des-requetes-de-lapi-geopard/4.-requete-obtenir-satelliteimage-defini.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
